﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HEAL.Attic;
using HeuristicLab.Core;
using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;

namespace HeuristicLab.Problems.DataAnalysis {
  [StorableType("FCF2341A-DE9C-48D7-8313-C6A1BAD675DF")]
  public interface IExtendedConstraint : IItem {
    string Expression { get; }
    ISymbolicExpressionTree Tree { get; }
    ShapeConstraints ShapeConstraints { get; }
  }
}
